// CamSelDlg.cpp : implementation file
//

#include "stdafx.h"
#include "keckcontroller.h"
#include "KeckControllerDlg.h"
#include "CamSelDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern CKeckControllerDlg *theDlg;
/////////////////////////////////////////////////////////////////////////////
// CCamSelDlg dialog


CCamSelDlg::CCamSelDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CCamSelDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCamSelDlg)
	//}}AFX_DATA_INIT
}


void CCamSelDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCamSelDlg)
	DDX_Control(pDX, IDC_COLOR_MODE, m_ColorMode);
	DDX_Control(pDX, IDC_RIG_LIST, m_RigList);
	DDX_Control(pDX, IDC_CAM_LIST, m_CamList);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCamSelDlg, CDialog)
	//{{AFX_MSG_MAP(CCamSelDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCamSelDlg message handlers

BOOL CCamSelDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	int n = 0;
	for (int i = 0; i < theDlg->m_RigList.GetItemCount(); i++)
		if ((theDlg->m_RigList.GetItemText(i,1) == "Captured.")
			|| (m_All && (theDlg->m_RigList.GetItemText(i,1) == "Ready.")))
		{
			m_RigList.AddString(theDlg->m_RigList.GetItemText(i,0));
			m_RigList.SetItemData(n,i);
			n++;
		}

	n = 0;
	for (i = 0; i < NUM_CAMS; i++)
		if (theDlg->m_CamArray[i] || m_All)
		{
			CString s;
			theDlg->m_CamList.GetText(i,s);
			m_CamList.AddString((LPCTSTR)s);
			m_CamList.SetItemData(n,i);
			n++;
		}

	m_ColorMode.AddString("Default (644x484)");
	m_ColorMode.AddString("Grayscale (322x242)");
	m_ColorMode.AddString("Interpolated (322x242)");
	m_ColorMode.AddString("Interpolated (644x484)");
	m_ColorMode.AddString("White-Balanced (322x242)");
	m_ColorMode.AddString("White-Balanced (644x484)");
	m_ColorMode.SetCurSel(0);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CCamSelDlg::OnOK() 
{
	// TODO: Add extra validation here
	
	m_Rig = m_RigList.GetItemData(m_RigList.GetCurSel());
	m_Cam = m_CamList.GetItemData(m_CamList.GetCurSel());
	m_Mode = m_ColorMode.GetCurSel();

	CDialog::OnOK();
}
