// SeqSaveDlg.cpp : implementation file
//

#include "stdafx.h"
#include "keckcontroller.h"
#include "SeqSaveDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSeqSaveDlg dialog


CSeqSaveDlg::CSeqSaveDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSeqSaveDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSeqSaveDlg)
	m_Name = _T("");
	m_Path = _T("");
	m_FullName = _T("");
	//}}AFX_DATA_INIT
}


void CSeqSaveDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSeqSaveDlg)
	DDX_Control(pDX, IDC_FORMAT, m_Format);
	DDX_Control(pDX, IDC_SAVE_TYPE, m_SaveType);
	DDX_Text(pDX, IDC_NAME, m_Name);
	DDX_Text(pDX, IDC_PATH, m_Path);
	DDX_Text(pDX, IDC_FULL_NAME, m_FullName);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSeqSaveDlg, CDialog)
	//{{AFX_MSG_MAP(CSeqSaveDlg)
	ON_EN_CHANGE(IDC_PATH, OnChangePath)
	ON_EN_CHANGE(IDC_NAME, OnChangeName)
	ON_CBN_SELCHANGE(IDC_SAVE_TYPE, OnSelchangeSaveType)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSeqSaveDlg message handlers

BOOL CSeqSaveDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	// TODO: Add extra initialization here
	m_Path = "d:\\";
	UpdateData(FALSE);
	OnChangePath();

	m_SaveType.SetCurSel(0);
	m_Format.SetCurSel(0);
	
	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

void CSeqSaveDlg::OnChangePath() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	UpdateSample();
}

void CSeqSaveDlg::OnChangeName() 
{
	// TODO: If this is a RICHEDIT control, the control will not
	// send this notification unless you override the CDialog::OnInitDialog()
	// function and call CRichEditCtrl().SetEventMask()
	// with the ENM_CHANGE flag ORed into the mask.
	
	// TODO: Add your control notification handler code here
	UpdateData(TRUE);
	UpdateSample();
}

void CSeqSaveDlg::OnSelchangeSaveType() 
{
	// TODO: Add your control notification handler code here
	UpdateSample();
}

void CSeqSaveDlg::UpdateSample()
{
	m_FullName = m_Path;
	if (m_Path.Right(1) != "\\")
		m_FullName += "\\";
	m_FullName += m_Name+".#.####";
	switch(m_SaveType.GetCurSel())
	{
	case 0:
		m_FullName += ".tif";
		break;
	case 1:
		m_FullName += ".pgm";
		break;
	}
	UpdateData(FALSE);
}

void CSeqSaveDlg::OnOK() 
{
	// TODO: Add extra validation here
	m_Type=m_SaveType.GetCurSel();
	
	CDialog::OnOK();
}
